#ifndef HELLOREQUESTCPP_HPP
#define HELLOREQUESTCPP_HPP

#include "../HelloRequest.hpp"
#include <string>

namespace mole {
    namespace serv {
	class Response;
    }
    namespace ctx {
	namespace xmlrpcpp {
	    class XmlRpcppClient;

	    class HelloRequest : public mole::ctx::HelloRequest {

		public :
		    HelloRequest();
		    ~HelloRequest();
    
		    mole::serv::Response * execute(Client *);

		    mole::ctx::xmlrpcpp::HelloRequest * newRequest();

		private :

	    };

	} // end xmlrpcpp

    } // end ctx

} // end mole

#endif
